<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[loopp]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[Loop control structures protocol.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[dowhile/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<meta><![CDATA[dowhile(::,::)]]></meta>
<mode>
<template><![CDATA[dowhile(+callable,@callable)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Do Action while Condition is true.]]></comment>
<template><![CDATA[dowhile(Action,Condition)]]></template>
</predicate>
<predicate>
<name><![CDATA[forto/3]]></name>
<scope>public</scope>
<compilation>static</compilation>
<meta><![CDATA[forto(*,*,::)]]></meta>
<mode>
<template><![CDATA[forto(+integer,+integer,@callable)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Counting from First to Last do Call.]]></comment>
<template><![CDATA[forto(First,Last,Call)]]></template>
</predicate>
<predicate>
<name><![CDATA[forto/4]]></name>
<scope>public</scope>
<compilation>static</compilation>
<meta><![CDATA[forto(*,*,*,::)]]></meta>
<mode>
<template><![CDATA[forto(-integer,+integer,+integer,@callable)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Do Call counting from First to Last and instantiating Count to each sucessive value.]]></comment>
<template><![CDATA[forto(Count,First,Last,Call)]]></template>
</predicate>
<predicate>
<name><![CDATA[fordownto/3]]></name>
<scope>public</scope>
<compilation>static</compilation>
<meta><![CDATA[fordownto(*,*,::)]]></meta>
<mode>
<template><![CDATA[fordownto(+integer,+integer,@callable)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Counting from First to Last do Call.]]></comment>
<template><![CDATA[fordownto(First,Last,Call)]]></template>
</predicate>
<predicate>
<name><![CDATA[fordownto/4]]></name>
<scope>public</scope>
<compilation>static</compilation>
<meta><![CDATA[fordownto(*,*,*,::)]]></meta>
<mode>
<template><![CDATA[fordownto(-integer,+integer,+integer,@callable)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Do Call counting from First to Last and instantiating Count to each sucessive value.]]></comment>
<template><![CDATA[fordownto(Count,First,Last,Call)]]></template>
</predicate>
<predicate>
<name><![CDATA[whiledo/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<meta><![CDATA[whiledo(::,::)]]></meta>
<mode>
<template><![CDATA[whiledo(+callable,@callable)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[While Condition is true do Action.]]></comment>
<template><![CDATA[whiledo(Condition,Action)]]></template>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
